package com.liangjian.dataplatform.member.entity.po.fourthly;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "mem_Payplatform")
@ApiModel("支付平台")
public class Payplatform {

    @Id
    @Column(name = "PayPlatFormKey")
    private Integer payPlatFormKey;
    @Column(name = "payPlatFormName")
    private String payPlatFormName;
    @Column(name = "payPlatFormCode")
    private String payPlatFormCode;
    @Column(name = "parentPayPlatFormKey")
    private Integer parentPayPlatFormKey;
    @Column(name = "hasLowLevel")
    private String hasLowLevel;
    @Column(name = "creationTime")
    private Date creationTime;
    @Column(name = "payPlatFormEnName")
    private String payPlatFormEnName;


    public Integer getPayPlatFormKey() {
        return payPlatFormKey;
    }

    public void setPayPlatFormKey(Integer payPlatFormKey) {
        this.payPlatFormKey = payPlatFormKey;
    }

    public String getPayPlatFormName() {
        return payPlatFormName;
    }

    public void setPayPlatFormName(String payPlatFormName) {
        this.payPlatFormName = payPlatFormName;
    }

    public String getPayPlatFormCode() {
        return payPlatFormCode;
    }

    public void setPayPlatFormCode(String payPlatFormCode) {
        this.payPlatFormCode = payPlatFormCode;
    }

    public Integer getParentPayPlatFormKey() {
        return parentPayPlatFormKey;
    }

    public void setParentPayPlatFormKey(Integer parentPayPlatFormKey) {
        this.parentPayPlatFormKey = parentPayPlatFormKey;
    }

    public String getHasLowLevel() {
        return hasLowLevel;
    }

    public void setHasLowLevel(String hasLowLevel) {
        this.hasLowLevel = hasLowLevel;
    }

    public Date getCreationTime() {
        return creationTime;
    }

    public void setCreationTime(Date creationTime) {
        this.creationTime = creationTime;
    }

    public String getPayPlatFormEnName() {
        return payPlatFormEnName;
    }

    public void setPayPlatFormEnName(String payPlatFormEnName) {
        this.payPlatFormEnName = payPlatFormEnName;
    }
}
